<?php defined('SYSPATH') OR die('No direct access allowed.');

require_once( 'op5/auth/Auth.php' );

class Ninja_Auth_Model extends Auth_Model {
	public function __construct() {
		Session::instance(); /* Make sure session is loaded */

		$user = op5auth::instance()->get_user();

		/* Set username for ordinary pnp auth (which uses livestatus) */
		$_SERVER['REMOTE_USER'] = $user->username;

		parent::__construct();

		if (!$user->logged_in() && ($_SERVER['REMOTE_ADDR'] === '127.0.0.1' || $_SERVER['REMOTE_ADDR'] === '::1')) {
			/* Disable auth if we're in PDF generating mode, because teh complications */
			$this->AUTH_ENABLED = false;
		}
		else {
			/* Fake allowed_for_* config so we have access if we should */
			if( $user->authorized_for('host_view_all') )
				$this->config->conf['allowed_for_all_hosts'] .= ','.$user->username;
			if( $user->authorized_for('service_view_all') )
				$this->config->conf['allowed_for_all_services'] .= ','.$user->username;
		}
	}
}
